package com.example.cloudmusic.been;

import androidx.annotation.NonNull;

import java.util.List;

public class ListBeen {
    String shareCount; // 分享数量
    String commentCount; // 评论数量
    String subscribedCount; // 收藏数量
    String name;
    String description; // 音乐介绍
    String trackCount; // 歌曲数量
    String imgURL;
    List<Song> songList;

    public List<Song> getSongList() {
        return songList;
    }

    public void setSongList(List<Song> songList) {
        this.songList = songList;
    }

    public static class Song {
        String songNumber;
        String songName; //歌曲名称
        String authorName; // 作者名称
        String ListName; // 歌曲所属
        boolean isMv = false;
        boolean isVip = false;
        String id;
        String songListName;
        String dt;
        String songImg;

        public String getSongImg() {
            return songImg;
        }

        public void setSongImg(String songImg) {
            this.songImg = songImg;
        }

        public String getDt() {
            return dt;
        }

        public void setDt(String dt) {
            this.dt = dt;
        }

        public String getSongListName() {
            return songListName;
        }

        public void setSongListName(String songListName) {
            this.songListName = songListName;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public boolean isMv() {
            return isMv;
        }

        public void setMv(boolean mv) {
            isMv = mv;
        }

        public boolean isVip() {
            return isVip;
        }

        public void setVip(boolean vip) {
            isVip = vip;
        }

        @NonNull
        @Override
        public String toString() {
            return "Song{" +
                    "songNumber='" + songNumber + '\'' +
                    ", songName='" + songName + '\'' +
                    ", authorName='" + authorName + '\'' +
                    ", ListName='" + ListName + '\'' +
                    '}';
        }

        public Song() {
        }

        public String getSongNumber() {
            return songNumber;
        }

        public void setSongNumber(String songNumber) {
            this.songNumber = songNumber;
        }

        public String getSongName() {
            return songName;
        }

        public void setSongName(String songName) {
            this.songName = songName;
        }

        public String getAuthorName() {
            return authorName;
        }

        public void setAuthorName(String authorName) {
            this.authorName = authorName;
        }

        public String getListName() {
            return ListName;
        }

        public void setListName(String listName) {
            ListName = listName;
        }
    }

    public String getImgURL() {
        return imgURL;
    }

    public void setImgURL(String imgURL) {
        this.imgURL = imgURL;
    }

    public ListBeen() {
    }

    public String getShareCount() {
        return shareCount;
    }

    public void setShareCount(String shareCount) {
        this.shareCount = shareCount;
    }

    public String getCommentCount() {
        return commentCount;
    }

    public void setCommentCount(String commentCount) {
        this.commentCount = commentCount;
    }

    public String getSubscribedCount() {
        return subscribedCount;
    }

    public void setSubscribedCount(String subscribedCount) {
        this.subscribedCount = subscribedCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTrackCount() {
        return trackCount;
    }

    public void setTrackCount(String trackCount) {
        this.trackCount = trackCount;
    }
}
